namespace PkmnLib.Dynamic.Models;

/// <summary>
/// A battle party is a wrapper around a Pokemon party that provides additional functionality for battles.
/// It indicates for which side and position the party is responsible.
/// </summary>
public interface IBattleParty
{
    /// <summary>
    /// The backing Pokemon party.
    /// </summary>
    IPokemonParty Party { get; }
    /// <summary>
    /// Whether the party is responsible for the specified side and position.
    /// </summary>
    bool IsResponsibleForIndex(byte side, byte position);
    
    /// <summary>
    /// Whether the party has a living Pokemon left that is not in the field.
    /// </summary>
    bool HasPokemonNotInField();
}