using PkmnLib.Static.Utils;

namespace PkmnLib.Dynamic.Models;

/// <summary>
/// Random number generator for battles.
/// </summary>
public interface IBattleRandom : IRandom
{
    /// <summary>
    /// Gets whether or not a move triggers its secondary effect. This takes its chance, and
    /// rolls whether it triggers. As a side effect this run scripts to allow modifying this random
    /// chance.
    /// </summary>
    bool EffectChance(float chance, IExecutingMove executingMove, IPokemon target, byte hitNumber);
}