using System.Runtime.CompilerServices;

namespace PkmnLib.Dynamic.ScriptHandling;

public static class ScriptExecution
{
    [MethodImpl(MethodImplOptions.AggressiveInlining)]
    public static void RunScriptHook(this IScriptSource source, Action<Script> hook)
    {
        var iterator = source.GetScripts();
        foreach (var container in iterator)
        {
            if (container.IsEmpty)
                continue;
            var script = container.Script;
            if (script.IsSuppressed)
                continue;
            hook(script);
        }
    }
}