using FluentResults;

namespace PkmnLib.Static.Utils.Errors;

/// <summary>
/// A result that indicates an index is out of range.
/// </summary>
public class OutOfRange : Error
{
    /// <inheritdoc cref="OutOfRange"/>
    public OutOfRange(string hint, int index, int max)
        : base($"{hint} index {index} is out of range. Must be between 0 and {max - 1}.")
    {
    }
}