using PkmnLib.Dynamic.Models;
using PkmnLib.Dynamic.ScriptHandling;
using PkmnLib.Static.Utils;

namespace PkmnLib.Plugin.Gen7.Moves;

/// <summary>
/// The user nimbly strikes the target. If the user is not holding an item, this attack inflicts massive damage. 
/// </summary>
/// <remarks>
/// Does double base power if the user is not holding an item.
/// </remarks>
[Script(ScriptCategory.Move, "acrobatics")]
public class Acrobatics : Script
{
    /// <inheritdoc />
    public override string Name => "acrobatics";

    /// <inheritdoc />
    public override void ChangeBasePower(IExecutingMove move, IPokemon target, byte hit, ref byte basePower)
    {
        if (move.User.HeldItem == null)
            basePower = basePower.MultiplyOrMax(2);
    }
}